Opera < 9.26 Multiple Vulnerabilities

This script is Copyright (C) 2008-2016 Tenable Network Security, Inc.


Synopsis :

The remote host contains a web browser that is affected by several
issues.

Description :

The version of Opera installed on the remote host reportedly is
affected by several issues :

- Simulated text input could trick users into
uploading arbitrary files.

- Image properties comments containing script will
be run when displaying the image properties,
leading to code execution in the wrong security
context.

- Representation of DOM attribute values could allow
cross-site scripting when importing XML into a
document.

See also :

http://www.opera.com/support/search/view/877/
http://www.opera.com/support/search/view/879/
http://www.opera.com/support/search/view/880/
http://www.opera.com/docs/changelogs/windows/926/

Solution :

Upgrade to Opera version 9.26 or later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 3.2
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Windows

Nessus Plugin ID: 31129 ()

Bugtraq ID: 27901

CVE ID: CVE-2008-1080
CVE-2008-1081
CVE-2008-1082

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now